Subject: Re: bug#29186: building guile-emacs fails: required libaries not found: libjpeg

From: Efraim Flashner <[email-masked]>
Date: Wed, 8 Nov 2017 12:11:35 +0200

On Tue, Nov 07, 2017 at 08:06:05PM +0100, Jan Nieuwenhuizen wrote:
> Jan Nieuwenhuizen writes:
> 
> > However, now the build fails with a segfault:
> >
> > EMACSLOADPATH= '../src/bootstrap-emacs' -batch --no-site-file --no-site-lisp -l autoload \
> >    --eval "(setq generate-autoload-cookie \";;;###cal-autoload\")" \
> >    --eval "(setq generated-autoload-file (expand-file-name
> > (unmsys--file-name
> > \"../../git-checkout/lisp/calendar/cal-loaddefs.el\")))" \
> >    -f batch-update-autoloads ../../git-checkout/lisp/calendar
> > make[2]: *** [Makefile:466: ../../git-checkout/lisp/calendar/cal-loaddefs.el] Segmentation fault
> 
> Attempting to debug this segfault, I configured using
> 
>     CFLAGS=-g ./configure
> 
> however, now the segfault is gone.
> 
> Additional patch attached.  WDY(all)T?
> 
> Greetings,
> janneke
> 

Will it build with libjpeg-turbo or libjpeg-9? I'm not sure how feasable
it is, but I'd like to remove libjpeg-8 (and some other old libraries)
if its possible.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted